usedChromGenes {annotate} | R Documentation

## A function to select used genes on a chromosome from an exprSet.

### Description

Given an instance of an `exprSet`, a `chromLocation` object and the name of a chromosome this function returns all genes represented in the `exprSet` on the specified chromosome.

### Usage

    usedChromGenes(eSet, chrom, specChrom)

### Arguments

`eSet` | An instance of an `exprSet` object.
`chrom` | The name of the chromosome of interest.
`specChrom` | An instance of a `chromLocation` object.

### Value

Returns a vector of gene names that represent the genes from the `exprSet` that are on the specified chromosome.

### Author(s)

Jeff Gentry

### Examples

        data(eset)
        data(hgu95AProbLocs)
        usedChromGenes(eset,"1",hgu95AProbLocs)

[Package Contents]